Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.orgmodel
Class OpenOrgModel

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.orgmodel.OpenOrgModel

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<OrgModelEntityResult>, net.customware.gwt.dispatch.shared.Action<OrgModelEntityResult>

    public class OpenOrgModel

extends java.lang.Object
implements OSAction<OrgModelEntityResult>

Retrieve the Organisational Model from Directory Engine.

This call will retrieve the top level enties, their children and any mapped resources.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `OrgModelEntityResult`

Constructor Summary
`OpenOrgModel(int version, boolean getCalendarRefs)` Constructs a new OpenOrgModel Action

Method Summary
`int` | `getVersion()` The version of the Org Model to open.
`boolean` | `isGetCalendarRefs()` Whether the calendar refs for Org Model Entites should be retrieved

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenOrgModel

    public OpenOrgModel(int version,
                        boolean getCalendarRefs)

  Constructs a new OpenOrgModel Action

  Parameters:
    `version` - The version of the Org Model to open. Specifying -1 will retrieve the latest version.
    `getCalendarRefs` - If calendar refs should be retrieved for the Org Model entities

Method Detail

### isGetCalendarRefs

    public boolean isGetCalendarRefs()

  Whether the calendar refs for Org Model Entites should be retrieved

  Returns:
    Whether the calendar refs should be retrieved.

### getVersion

    public int getVersion()

  The version of the Org Model to open. Specifying -1 will retrieve the latest version.

  Returns:
    Returns the version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.